---
id: patent-description
title: PatentDescription
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type PatentDescription {
  _hash_id: ID!
  lang: String!
  text: String!
  patents(
    first: Int = 0
    offset: Int = 0
    orderBy: [_PatentOrdering] = []
    filter: _PatentFilter
  ): [Patent]
  fragments(
    first: Int = 0
    offset: Int = 0
    orderBy: [_FromPatentDescriptionOrdering] = []
    filter: _FromPatentDescriptionFilter
  ): [FromPatentDescription]
  _id: String
}
```

### Fields

#### `_hash_id` ([`ID!`](/docs/api/scalars/id))

#### `lang` ([`String!`](/docs/api/scalars/string))

#### `text` ([`String!`](/docs/api/scalars/string))

#### `patents` ([`[Patent]`](/docs/api/objects/patent))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_PatentOrdering]`](/docs/api/enums/patent-ordering))

- ##### `filter` ([`_PatentFilter`](/docs/api/inputs/patent-filter))

#### `fragments` ([`[FromPatentDescription]`](/docs/api/objects/from-patent-description))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_FromPatentDescriptionOrdering]`](/docs/api/enums/from-patent-description-ordering))

- ##### `filter` ([`_FromPatentDescriptionFilter`](/docs/api/inputs/from-patent-description-filter))

#### `_id` ([`String`](/docs/api/scalars/string))

Generated field for querying the Neo4j [system id](https://neo4j.com/docs/cypher-manual/current/functions/scalar/#functions-id) of this node.
